import lodash from 'lodash'
import { interact } from '../../utils'
import apis from '../../config/api'

export default {
  namespaced: true,
  state: {
    dailyList : {},
    excelList : {},
  },
  mutations: {
    updateDailyList(state, payload) {
      state.dailyList  = payload || {}
    },
    updateUsherListExcel(state, payload) {
      state.excelList  = payload || {}
    },
  },
  actions: {
    getDailyRegistration({ commit }, payload) { // 查询所有
      const api = lodash.get(apis, 'dailyRegistration.list')
      interact(api, payload).then((data) => {
        commit('updateDailyList', data)
      })
    },
    getUsherListExcel({ commit }, payload) { // 导出
      const api = lodash.get(apis, 'dailyRegistration.excel')
      interact(api, payload).then((data) => {
        commit('updateUsherListExcel', data)
      })
    },
  }
}